OpenNMS API 1.2.9

## org.opennms.netmgt.vulnscand
Class NessusScanConfiguration

    java.lang.Object
      org.opennms.netmgt.vulnscand.NessusScanConfiguration

final class NessusScanConfiguration
extends java.lang.Object

This class encapsulates the information about an interface necessary to schedule it for scans.

Field Summary
`java.net.InetAddress` `hostname` Hostname of the Nessus daemon
`int` `hostport` Port number where Nessusd is running
`(package private) long` `interval` Milliseconds between the end of a scan and the beginning of the next scan of this interface
`(package private) java.sql.Timestamp` `lastScan` Timestamp of last scanned time
`java.lang.String` `password` Nessus password
`int` `scanLevel` Level of intrusiveness of the scanning (1-4)
`(package private) boolean` `scheduled` Marker that tells whether or not the object is currently scheduled
`java.net.InetAddress` `targetAddress` Target of the Nessus scan
`java.lang.String` `username` Nessus username

Constructor Summary
`(package private)` `NessusScanConfiguration(java.net.InetAddress address, int newScanLevel, java.util.Date newLastScan, long newInterval)`
`(package private)` `NessusScanConfiguration(java.net.InetAddress address, int newScanLevel, java.sql.Timestamp newLastScan, long newInterval)`

Method Summary
`(package private) java.net.InetAddress` `getAddress()`
`(package private) java.sql.Timestamp` `getLastScanned()`
`(package private) long` `getRescanInterval()`
`private void` `init()` Enter values from the configuration
`(package private) boolean` `isScheduled()`
`(package private) boolean` `isTimeForRescan()`
`boolean` `isValid()` Validation function.
`(package private) void` `setLastScanned(java.util.Date newLastScan)`
`(package private) void` `setLastScanned(java.sql.Timestamp newLastScan)`
`(package private) void` `setScheduled(boolean newScheduled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### username

    public java.lang.String username

  Nessus username

### password

    public java.lang.String password

  Nessus password

### hostname

    public java.net.InetAddress hostname

  Hostname of the Nessus daemon

### hostport

    public int hostport

  Port number where Nessusd is running

### targetAddress

    public java.net.InetAddress targetAddress

  Target of the Nessus scan

### scanLevel

    public int scanLevel

  Level of intrusiveness of the scanning (1-4)

### lastScan

    java.sql.Timestamp lastScan

  Timestamp of last scanned time

### interval

    long interval

  Milliseconds between the end of a scan and the beginning of the next scan of this interface

### scheduled

    boolean scheduled

  Marker that tells whether or not the object is currently scheduled

Constructor Detail

### NessusScanConfiguration

    NessusScanConfiguration(java.net.InetAddress address,
                            int newScanLevel,
                            java.sql.Timestamp newLastScan,
                            long newInterval)

### NessusScanConfiguration

    NessusScanConfiguration(java.net.InetAddress address,
                            int newScanLevel,
                            java.util.Date newLastScan,
                            long newInterval)

Method Detail

### init

    private void init()

  Enter values from the configuration

### isScheduled

    boolean isScheduled()

### getAddress

    java.net.InetAddress getAddress()

### getLastScanned

    java.sql.Timestamp getLastScanned()

### getRescanInterval

    long getRescanInterval()

### setScheduled

    void setScheduled(boolean newScheduled)

### setLastScanned

    void setLastScanned(java.util.Date newLastScan)

### setLastScanned

    void setLastScanned(java.sql.Timestamp newLastScan)

### isTimeForRescan

    boolean isTimeForRescan()

### isValid

    public boolean isValid()

  Validation function.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.